# GNU poke

# Copyright (C) 2019, 2020, 2021, 2022, 2023, 2024, 2025 Jose E.
# Marchesi

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

picklesdir = $(pkgdatadir)/pickles
dist_pickles_DATA = ctf.pk ctf-dump.pk leb128.pk \
                    bpf.pk btf.pk btf-ext.pk btf-dump.pk bmp.pk gcov.pk \
                    color.pk rgb24.pk id3v1.pk ios.pk diff.pk pk-table.pk \
		    sframe.pk sframe-dump.pk orc.pk \
                    time.pk argp.pk pktest.pk mbr.pk ustar.pk \
                    mcr.pk id3v2.pk jffs2.pk asn1-ber.pk \
                    openpgp.pk search.pk riscv.pk coff.pk coff-i386.pk coff-aarch64.pk \
                    pe.pk pe-amd64.pk pe-arm.pk pe-arm64.pk pe-i386.pk pe-ia64.pk \
                    pe-m32r.pk pe-mips.pk pe-ppc.pk pe-sh3.pk pe-riscv.pk pe-debug.pk \
		    uuid.pk redoxfs.pk pcap.pk ieee754.pk pdap.pk \
                    iscan.pk iscan-str.pk base64.pk gpt-partition-attrs.pk \
		    gpt-partition-types.pk gpt.pk guid.pk linux.pk srec.pk \
		    jojodiff.pk jpeg.pk crc16.pk bpfcore.pk

EXTRA_DIST = README.elf
